﻿/*
    A simple Backup Client / Server
    Copyright (C) 2023  Mike Nolan

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
using Tesses.Backup;
using Tesses.WebServer;
using Tesses.VirtualFilesystem;
using Tesses.VirtualFilesystem.Filesystems;

UnixPath backupFS = Special.CurDir / "data";


IVirtualFilesystem fs= new LocalFileSystem();

using(BackupServer server=new BackupServer(fs.GetSubdirFilesystem(backupFS)))
{
    server.WebUi.Server = new StaticServer("wwwroot",new string[]{"index.html","index.htm"},new NotFoundServer(),false);
    server.Server.StartServer(42990);
}
